Download it now!
Bug 49202 - Bundled EXTENSIONS RU, EN, HU Dictionaries broken when Python-UNO bridge not installed
Summary: Bundled EXTENSIONS RU, EN, HU Dictionaries broken when Python-UNO bridge not ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.3 RC1
Hardware: Other Windows (All)
: medium major
Assignee: Andras Timar
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-26 18:08 UTC by Urmas
Modified: 2013-12-16 00:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Image (2.83 KB, image/png)
2012-04-26 18:08 UTC, Urmas
Details
3.6 screenshot [EN dict] (5.26 KB, image/png)
2012-08-12 19:57 UTC, Urmas
Details
Screenshot 'dict-ru_lo-3.6.0.4.png' (44.34 KB, image/png)
2012-08-12 20:49 UTC, manj_k
Details
Screenshot 'dict-en_lo-3.6.0.4.png' (32.15 KB, image/png)
2012-08-13 04:45 UTC, manj_k
Details
Screenshot 'ui-ru_extmgr_dict-en_options_lo-3.6.0.4.png' (38.83 KB, image/png)
2012-08-14 14:18 UTC, manj_k
Details
Another installation (26.58 KB, image/png)
2012-08-15 10:46 UTC, Urmas
Details
unopkg list (1.49 KB, text/plain)
2013-01-17 00:58 UTC, Urmas
Details
UNO.EXE (6.81 KB, application/zip)
2013-01-17 13:34 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-04-26 18:08:16 UTC
Created attachment 60644 [details]
Image

After installing any of recent LO versions, both Russian and English bundled dictionaries are shown as 'broken' in Extension Manager.
Comment 1 bfoman (inactive) 2012-07-17 12:45:28 UTC
Please check if this bug is reproducible with the latest stable release on clean install.
Comment 2 manj_k 2012-08-06 20:08:19 UTC
Changed status to NEEDINFO.
Comment 3 Urmas 2012-08-12 05:07:29 UTC
In 3.6 they show no error message, but all their Options pages are empty.
Comment 4 manj_k 2012-08-12 05:19:23 UTC
Have you tried to remove the directory 'extensions' in your LibreOffice user profile (%appdata%\LibreOffice\3\user\extensions)?
Then restart LibO 3.6.0.4.

See 'Bug 53006 - Autocorrection TWo INitial CApitals does not work because of bundled extensions problem'.
Comment 5 Urmas 2012-08-12 19:48:14 UTC
Same crap.
Comment 6 Urmas 2012-08-12 19:57:06 UTC
Created attachment 65479 [details]
3.6 screenshot [EN dict]
Comment 7 manj_k 2012-08-12 20:49:59 UTC
Created attachment 65483 [details]
Screenshot 'dict-ru_lo-3.6.0.4.png'

My result (all dictionaries installed):
Screenshot of bundled 'dict-ru' (+ Options) with LibO 3.6.0.4 (on WinXP 32b).
Comment 8 manj_k 2012-08-12 21:00:00 UTC
It seems you have replaced the original bundled 'dict-ru' (2011.01.29) with another version (2011.12.05)?
Comment 9 Urmas 2012-08-13 02:09:57 UTC
No, that is a dictionary from the package.
Comment 10 manj_k 2012-08-13 04:45:12 UTC
Created attachment 65489 [details]
Screenshot 'dict-en_lo-3.6.0.4.png'

Sorry, my mistake — my ignorance in Cyrillic.
Your screenshot shows the *English* dictionaries.
Well, 'dict-en' (+ Options) works fine for me, too.

How to reproduce your problem?
Comment 11 manj_k 2012-08-13 04:54:05 UTC
Does this problem arise with a brand new LibreOffice default user profile?
Comment 12 Urmas 2012-08-13 11:48:56 UTC
Yes, it does.
To reproduce it, install LO 3.5/3.6, start any application and open Extension manager. You may remove user profile data, the program files data, it will be the same.
Comment 13 manj_k 2012-08-14 14:13:54 UTC
(In reply to comment #12)
> [...]
> To reproduce it, install LO 3.5/3.6, start any application and open Extension
> manager. You may remove user profile data, the program files data, it will be
> the same.

Installation LibO 3.6.0.4, LibreOffice default user profile:
- I have started swriter.exe.
- I have set the language of UI to Russian.
- I have removed the directory 'extensions' in my LibreOffice user
profile (%appdata%\LibreOffice\3\user\extensions) to recreate the cache of the (bundled) extensions.
- Then I have restarted LibO 3.6.0.4.

The screenshot 'ui-ru_extmgr_dict-en_options_lo-3.6.0.4.png' shows my result (works for me).

Best would be to test again with LibO 3.6.1.0 – where bug 53006 has been fixed.

See → https://wiki.documentfoundation.org/index.php?title=ReleaseNotes/3.6#Most_annoying_bugs :

"[...] Missing dictionary options pages (in “Tools - Extension Manager...”, selecting a bundled dictionary extension like “English spelling dictionaries, hyphenation rules, thesaurus, and grammar checker” does not display an “Options...” button). [...]"
Comment 14 manj_k 2012-08-14 14:18:13 UTC
Created attachment 65550 [details]
Screenshot 'ui-ru_extmgr_dict-en_options_lo-3.6.0.4.png'
Comment 15 Urmas 2012-08-15 10:46:23 UTC
Created attachment 65595 [details]
Another installation

I'm not buying it. This is how it appears on FRESH installation with VIRGIN user profiles. Other UI language. Other OS. Same issue.
Comment 16 bfoman (inactive) 2012-08-16 10:52:32 UTC
(In reply to comment #15)
> I'm not buying it. This is how it appears on FRESH installation with VIRGIN
> user profiles. Other UI language. Other OS. Same issue.

Could you try http://wiki.documentfoundation.org/Installing_in_parallel and comment?
Comment 17 Urmas 2012-08-16 14:57:42 UTC
For 3.6.1.1:
Running from administrative install folder: works.
After Installation and launch: same result.

So you may need to fix that lolinstaller of yours.
Comment 18 Rainer Bielefeld Retired 2012-08-19 05:59:38 UTC
Hm, currently it seems only Urmas suffers from this problem, or did I miss something?

I can't remember tho have seen any broken dictionaries.

I found some other similar bugs without mandatory relation to this bug:
"Bug 37561 - Failed installing extension: Duden-Korrektor 5.0/6.0"
"Bug 43707 - FILEOPEN PDF brings up (ASCII) filter selector instead of opening document"

Searching Mailing lists with Google also shows many results, but none of them really matches with Urmas' result.


@Urmas: Translated error message also is "Status of this extension is unknown" in " 3.6 screenshot [EN dict] "?
Comment 19 Rainer Bielefeld Retired 2012-08-19 05:59:49 UTC
I wonder what difference between Server installation and normal installation might cause this difference
Comment 20 Urmas 2012-08-19 06:37:06 UTC
Yes, it does, as it does in each version since 3.5.something.
Comment 21 Urmas 2012-08-26 13:36:43 UTC
Still exist in 3.6.1.2.
Comment 22 Eliot the Cougar 2012-08-29 22:21:06 UTC
Updated from 3.5.5 (dictionaries were fine) to 3.6.0 and got broken dictionaries again... They display in Extension manager, but not in Language settings...

As far as I can remember this was happening every time I upgrade LO from one version to another... The only thing that fixed it for me was total deinstallation, deletion of the LibreOffice folders in AppData and Program Files and subsequent clean install...

Windows 7 x64
Comment 23 Urmas 2012-08-30 11:03:27 UTC
Only these 2 dictionaries are affected since 3.5, so please take that 'broken user profile' crap out of my bug.

What is the difference between Russian, English dictionaries and every other one?
Comment 24 Andras Timar 2012-09-04 20:35:05 UTC
(In reply to comment #23)
> What is the difference between Russian, English dictionaries and every other
> one?

For example, both have grammar checker (ligtproof).
Comment 25 Kumāra 2012-09-11 07:24:43 UTC
In my version 3.6.1, I also get "Status of this extension is unknown" for the bundled English spelling... grammar extension. However, spelling checking, thesaurus amd hyphenation actually works fine. They show up in the Writing Aids box. It's only Lightproof grammar that is neither showing up as installed nor working.

I've earlier had the problem of spelling not working. Removing the extension folder so that EibO can regenerate them solved it. (I've to do it for every installation since then.) However for this version, this workaround doesn't bring grammar checker back to life.
Comment 26 Urmas 2012-09-11 10:42:55 UTC
I have to reiterate: Why does the Grammar checker works from raw LO installsource, but not from the installed instance? How does your installer manage to fuck up the installation so?
Comment 27 Brabantia helpdesk 2012-09-24 12:24:54 UTC
I seem to have the same problem in LibreOffice 3.5.4.2
Comment 28 Urmas 2013-01-15 13:30:07 UTC
That is ridiculous. THE SAME problem is STILL present in 4.0.0.1 and affect now Brazilian dictionary too!
Comment 29 Stephan Bergmann 2013-01-16 09:50:13 UTC
(In reply to comment #28)
> That is ridiculous. THE SAME problem is STILL present in 4.0.0.1 and affect
> now Brazilian dictionary too!

Urmas, to help track down your problem, can you do the following:

* Generate a zip file (the original zip format, <http://en.wikipedia.org/wiki/Zip_%28file_format%29>, /not/ something like 7-Zip etc.) containing all the (recursive) content of your LO installation's share/extensions/dict-en/ (but not containing dict-en as a root directory itself), save that zip file as "C:\test.oxt".

* Completely remove your LO installation's share/extensions/ folder (or move it away, to restore it later).

* Completely remove any existing LO/OOo user profiles (or move them away, to restore them later).

* Open and close soffice once (you could check that "Tools - Extension Manager..." shows no extensions at all, neither "Installation" nor "Shared" nor "User" ones).

* On a command line, change to your LO installation's program/ directory, then execute "unopkg add C:\test.oxt".  Does that generate any output?  If not, what is the output of "unopkg list"?
Comment 30 Urmas 2013-01-17 00:58:09 UTC
Created attachment 73175 [details]
unopkg list

Yes, there is output:

ERROR: Binary URP bridge disposed during call
unopkg failed.

Unlike the bundled one, this extension has "Enable" button in the list, having the same URP bridge message during activation, and consequently doesn't function at all.
Comment 31 Stephan Bergmann 2013-01-17 08:26:10 UTC
> URL: vnd.sun.star.expand:$UNO_USER_PACKAGES_CACHE/uno_packages/lu46afs0.tmp_/dict-en-standalone.oxt/Lightproof.py
> is registered: no

It appears that for some reason the active UNO component registration of the Python Lightproof.py, offloaded from unopkg to a uno.exe it spawns, crashes the uno.exe.  To find out more, it might help to run soffice from within Dependency Walker.  To do so, do the first four steps from comment 29, and instead of the last step ("unopkg add") do the following:

* Start soffice from within Dependency Walker, see comment 28 of bug 51252 for details.  Add C:\test.oxt via "Tools - Extension Manager... - Add...".  Within Dependency Walker there should now be a window for the spawned uno.exe sub-process (among windows for any other spawned sub-processes), please copy all the output from the bottom frame of that window.
Comment 32 Urmas 2013-01-17 13:34:55 UTC
Created attachment 73186 [details]
UNO.EXE
Comment 33 Stephan Bergmann 2013-01-17 14:21:56 UTC
So the problematic line is

> LoadLibraryExW("C:\Program Files\LibreOffice 4.0\program\..\program\pythonloader.uno.dll", 0x00000000, LOAD_WITH_ALTERED_SEARCH_PATH) returned NULL by thread 5. Error: (126).

No idea how that can happen for you.  What version of Windows is that?  You start LO as soffice.exe, not soffice.bin, right?  What is your PATH environment variable?
Comment 34 Stephan Bergmann 2013-01-17 14:26:24 UTC
(In reply to comment #33)
> No idea how that can happen for you.

The easiest idea might be that you did a custom installation of LO and disabled the "Python-UNO Bridge" optional component.  -- Did you?
Comment 35 Urmas 2013-01-17 17:17:13 UTC
If you mean "Python-UNO bindings: Enables automation in LibreOffice through a Python language" component, it is uninstalled as I have no use of automation of any kind and there is no any hint in installer that it is required for spelling checker.

So either fix the dependencies or use truthful descriptions in installer. Having useful error messages is also nice.

(But of course support for Firefox toolbar pictures is the top-priority instead.)
Comment 36 Stephan Bergmann 2013-01-17 17:25:15 UTC
@atimar:  I wonder if it would be best to always install the "Python-UNO Bridge" component on Windows unconditionally?
Comment 37 Andras Timar 2013-01-17 21:26:58 UTC
(In reply to comment #36)
> @atimar:  I wonder if it would be best to always install the "Python-UNO
> Bridge" component on Windows unconditionally?

Yes, I agree. We have too many install options.
Comment 38 Not Assigned 2013-02-20 15:36:01 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83b4703137fdf49304e41202cc91a5574b2e53e7

fdo#49202 install the "Python-UNO Bridge" component on Windows unconditionally



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.